# filePermissions

abstract fun filePermissions(configureAction: Action<in ConfigurableFilePermissions>): ConfigurableFilePermissions

Creates and configures file access permissions. Differs from directory permissions due to the default value the permissions start out with before the configuration is applied. For details see ConfigurableFilePermissions.

#### Since

8.3

#### Parameters

configureAction

The configuration that gets applied to the newly created `FilePermissions`.